try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "7b5ce29e-29ab-47af-b7d5-e3bfa3a95632", e._sentryDebugIdIdentifier = "sentry-dbid-7b5ce29e-29ab-47af-b7d5-e3bfa3a95632");
} catch (e) {}
import { useContext } from "preact/hooks";
import { createContext } from "preact";
//#region src/context/SettingsContext/SettingsContext.tsx
var SettingsContext = createContext(void 0);
//#endregion
//#region src/context/SettingsContext/useSettingsContext.ts
function useSettingsContext() {
	return useContext(SettingsContext);
}
//#endregion
export { SettingsContext as n, useSettingsContext as t };
